function [param] = parametry (s,t,y,n,T,i)
%vytvori z promenych strukturu param pro ksvd
%s = vstupni realny signal, 
%t = cas na rozsekani, 
%y = rozmery incia?niho slovniku, 
%n = 1-nahodny cisla, 2-haromnicke
%T = treshold - mira ridkosti
%i = pocet iteraci
param.data = cut(s,t);
param.Tdata = T;
param.iternum = i;
if y>size(param.data,2)
    param.initdic =  initdic (size(param.data,1),size(param.data,2),n);
    param.N = size(param.data,2);
    warning('vnitrni rozmer slovniku byl nastaven na %d',size(param.data,2))
else
    param.initdic =  initdic (size(param.data,1),y,n);
    param.N = y;

end
end
